Skip to main content
GET
/
api
/
people
/
{person_id}
Get person details
curl --request GET \
  --url https://api.example.com/api/people/{person_id}
{
  "id": "<string>",
  "is_hidden": true,
  "is_favorite": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "birth_date": "2023-12-25",
  "asset_count": 123,
  "thumbnail_face_id": "<string>",
  "thumbnail_face_url": "<string>",
  "asset_urls": {}
}

Path Parameters

person_id
string
required

Response

Successful Response

Represents a person identified through face clustering and recognition.

id
string
required

Unique person identifier with 'person_' prefix

is_hidden
boolean
required

Whether this person should be hidden from the UI

is_favorite
boolean
required

Whether this person is marked as a favorite

created_at
string<date-time>
required

When this person record was created

updated_at
string<date-time>
required

When this person record was last updated

name
string | null

Optional name assigned to this person

birth_date
string<date> | null

Optional birth date of this person

asset_count
integer | null

Number of unique photos this person appears in, or null if not computed

thumbnail_face_id
string | null

ID of the face resource used as this person's thumbnail

thumbnail_face_url
string | null

URL for this person's profile thumbnail image

asset_urls
Asset Urls · object

Asset variants from this person's thumbnail face. May be null when embedded in an AssetResponse; use /api/people endpoints for full person data.